Bug 131420 - timer syscall improvements
Summary: timer syscall improvements
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: strace (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-01 07:41 UTC by Ulrich Drepper
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-11 08:10:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix mentioned problems (1.39 KB, patch)
2004-09-01 07:41 UTC, Ulrich Drepper
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:131 normal SHIPPED_LIVE strace bug fix update 2005-05-19 04:00:00 UTC

Description Ulrich Drepper 2004-09-01 07:41:07 UTC
Description of problem:
There are a few problems with timer syscalls on 4.5.7.

- the use of clockflags does not take into account that
  the value might be zero.  There are two uses.

- printsigevent() should print the sigev_signo values as a
  symbol signal name if the notifcation type is SIGEV_SIGNAL

- timer_create should print the first parameter with a symbolic
  name

Version-Release number of selected component (if applicable):
strace-4.5.7-2

How reproducible:
always

Steps to Reproduce:
1.strace the rt/tst-timer program in glibc
2.
3.
  
Actual results:
timer_create(0, {(nil), 14, SIGEV_SIGNAL, {...}}, {(nil)}) = 0
timer_create(0, {0x8b25098, 32, SIGEV_THREAD_ID, {8687}}, {0x2}) = 0
timer_settime(0x1, , {it_interval={0, 100000000}, it_value={0,
500000000}}, {it_interval={0, 0}, it_value={0, 0}}) = 0


Expected results:
timer_create(CLOCK_REALTIME, {(nil), SIGALRM, SIGEV_SIGNAL, {...}},
{(nil)}) = 0
timer_create(CLOCK_REALTIME, {0x86ef098, 32, SIGEV_THREAD_ID, {8645}},
{0x2}) = 0
timer_settime(0x1, 0, {it_interval={0, 100000000}, it_value={0,
500000000}}, {it_interval={0, 0}, it_value={0, 0}}) = 0


Additional info:
I'll attach a patch.

Comment 1 Ulrich Drepper 2004-09-01 07:41:51 UTC
Created attachment 103332 [details]
patch to fix mentioned problems

Comment 2 Roland McGrath 2004-09-11 08:10:35 UTC
I've put these fixes in upstream.  The next rpm will have them.

Comment 3 Tim Powers 2005-05-19 21:09:59 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-131.html



Note You need to log in before you can comment on or make changes to this bug.